# DoubleClick Bid Manager API . reports

## Instance Methods

Retrieves stored reports.

### Method Details

`listreports(queryId)`

    Retrieves stored reports.

    Args:
      queryId: string, Query ID with which the reports are associated. (required)

    Returns:
      An object of the form:

        { # List reports response.
        "kind": "doubleclickbidmanager#listReportsResponse", # Identifies what kind of resource this is. Value: the fixed string "doubleclickbidmanager#listReportsResponse".
        "reports": [ # Retrieved reports.
          { # Represents a report.
            "params": { # Parameters of a query or report. # Report parameters.
              "metrics": [ # Metrics to include as columns in your report.
                "A String",
              ],
              "includeInviteData": True or False, # Whether to include data from Invite Media.
              "type": "A String", # Report type.
              "groupBys": [ # Data is grouped by the filters listed in this field.
                "A String",
              ],
              "filters": [ # Filters used to match traffic data in your report.
                { # Filter used to match traffic data in your report.
                  "type": "A String", # Filter type.
                  "value": "A String", # Filter value.
                },
              ],
            },
            "key": { # Key used to identify a report. # Key used to identify a report.
              "queryId": "A String", # Query ID.
              "reportId": "A String", # Report ID.
            },
            "metadata": { # Report metadata. # Report metadata.
              "status": { # Report status. # Report status.
                "failure": { # An explanation of a report failure. # If the report failed, this records the cause.
                  "errorCode": "A String", # Error code that shows why the report was not created.
                },
                "state": "A String", # The state of the report.
                "finishTimeMs": "A String", # The time when this report either completed successfully or failed.
                "format": "A String", # The file type of the report.
              },
              "reportDataEndTimeMs": "A String", # The ending time for the data that is shown in the report.
              "googleCloudStoragePath": "A String", # The path to the location in Google Cloud Storage where the report is stored.
              "reportDataStartTimeMs": "A String", # The starting time for the data that is shown in the report.
            },
          },
        ],
      }